Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.descriptors
Interface DescriptorEventListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  DescriptorEventAdapter

public interface DescriptorEventListener
extends java.util.EventListener

Purpose: Used to support Java event listener event model on descriptors. Events can be registered for, through two methods, the first is by providing a method to be called on the object that a paticualr operation is being performed on. The second is by registering an event listener object to be notified when any event occurs for that descriptor. The second method is more similar to the java beans event model and requires the registered listener to implement the DescriptorEventListener interface.

See Also:
  `DescriptorEventAdapter`, `DescriptorEventManager`, `DescriptorEvent`

Method Summary
`void` | `aboutToDelete(DescriptorEvent event)` This event is raised before an object is deleted from the database.
`void` | `aboutToInsert(DescriptorEvent event)` This event is raised before a new object is inserted to the database.
`void` | `aboutToUpdate(DescriptorEvent event)` This event is raised before an object is updated in the database.
`void` | `postBuild(DescriptorEvent event)` This event is raised after an object is built from its row on a read operation.
`void` | `postClone(DescriptorEvent event)` This event is raised after an object is cloned into a unit of work.
`void` | `postDelete(DescriptorEvent event)` This event is raised after an object is deleted from the database.
`void` | `postInsert(DescriptorEvent event)` This event is raised after an object is inserted to the database.
`void` | `postMerge(DescriptorEvent event)` This event is raised after an object is merged from a unit of work into its parent.
`void` | `postRefresh(DescriptorEvent event)` This event is raised after an object is refreshed from its row on a refresh operation.
`void` | `postUpdate(DescriptorEvent event)` This event is raised after an object updated in the database.
`void` | `postWrite(DescriptorEvent event)` This event is raised after an object is inserted or updated in the database.
`void` | `preDelete(DescriptorEvent event)` This event is raised before an object is deleted from the database.
`void` | `preInsert(DescriptorEvent event)` This event is raised before an object is inserted to the database.
`void` | `prePersist(DescriptorEvent event)` This event is only raised by the EntityManager.
`void` | `preRemove(DescriptorEvent event)` This event is raised when the remove operation is initiated on an object.
`void` | `preUpdate(DescriptorEvent event)` This event is raised for all existing objects written or committed in a unit of work.
`void` | `preUpdateWithChanges(DescriptorEvent event)` This event is raised before an object is updated regardless if the object has any database changes.
`void` | `preWrite(DescriptorEvent event)` This event is raised for all new or existing objects written or committed in a unit of work.

Method Detail

### aboutToInsert

    public void aboutToInsert(DescriptorEvent event)

  This event is raised before a new object is inserted to the database. The object's row has already been built and is accessible from the event. This event can be used to amend an object's insert row.

### aboutToUpdate

    public void aboutToUpdate(DescriptorEvent event)

  This event is raised before an object is updated in the database. This event is only raised for object's that have changes and will be updated. The object's row has already been built and is accessible from the event. This event can be used to amend an object's update row.

### aboutToDelete

    public void aboutToDelete(DescriptorEvent event)

  This event is raised before an object is deleted from the database. The object's row has already been built and is accessible from the event. This event can be used to amend an object's delete row.

### preUpdateWithChanges

    public void preUpdateWithChanges(DescriptorEvent event)

  This event is raised before an object is updated regardless if the object has any database changes. This event was created to support EJB 3.0 events. The object in this case will not have a row accessible from the event. For objects that have database changes, an aboutToUpdate will also be triggered.

### postBuild

    public void postBuild(DescriptorEvent event)

  This event is raised after an object is built from its row on a read operation. This event can be used to initialize non-persistent or non-mapped state in the object.

### postClone

    public void postClone(DescriptorEvent event)

  This event is raised after an object is cloned into a unit of work. This event can be used to initialize non-mapped state in the object. The event source/object is the unit of work clone, the event originalObject is the original object from the session cache.

### postDelete

    public void postDelete(DescriptorEvent event)

  This event is raised after an object is deleted from the database.

### postInsert

    public void postInsert(DescriptorEvent event)

  This event is raised after an object is inserted to the database.

### postMerge

    public void postMerge(DescriptorEvent event)

  This event is raised after an object is merged from a unit of work into its parent. This event can be used to initialize non-mapped state in the parent object. The event source/object is the parent session object that was merged into, the event originalObject is the unit of work clone that was merged from.

### postRefresh

    public void postRefresh(DescriptorEvent event)

  This event is raised after an object is refreshed from its row on a refresh operation. This event can be used to initialize non-persistent or non-mapped state in the object.

### postUpdate

    public void postUpdate(DescriptorEvent event)

  This event is raised after an object updated in the database. This event is only raised for objects that had changes and were updated.

### postWrite

    public void postWrite(DescriptorEvent event)

  This event is raised after an object is inserted or updated in the database. This event is only raised for new objects or objects that had changes and were updated.

### prePersist

    public void prePersist(DescriptorEvent event)

  This event is only raised by the EntityManager. It is raised when the create operation is initiated on an object.

### preDelete

    public void preDelete(DescriptorEvent event)

  This event is raised before an object is deleted from the database.

### preInsert

    public void preInsert(DescriptorEvent event)

  This event is raised before an object is inserted to the database.

### preRemove

    public void preRemove(DescriptorEvent event)

  This event is raised when the remove operation is initiated on an object.

### preUpdate

    public void preUpdate(DescriptorEvent event)

  This event is raised for all existing objects written or committed in a unit of work. This event is raised before the object's changes are computed, so the object may still be modified by the event. If the object has no changes, it will not be updated in a unit of work.

### preWrite

    public void preWrite(DescriptorEvent event)

  This event is raised for all new or existing objects written or committed in a unit of work. This event is raised before the object's changes are computed, so the object may still be modified by the event. If the object is existing and has no changes, it will not be updated in a unit of work.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD